backup_delhost(8)

NAME
backup_delhost - Deletes a Tape Coordinator entry from the Backup Database

SYNOPSIS
backup delhost << -tapehost <tape machine name >>>
    << [-portoffset <TC port offset] >>> [-localauth]
    << [-cell <cell name] >>> [-help]

backup delh << -t <tape machine name >>> << [-p <TC port offset] >>>
    [-l] << [-c <cell name] >>> [-h]

DESCRIPTION
The backup delhost command deletes the indicated Tape Coordinator entry from the Backup Database. It is then impossible to submit backup operations to that Tape Coordinator, even if it is still running. To keep configuration information consistent, also remove the corresponding entry from the /usr/afs/backup/tapeconfig file on the Tape Coordinator machine.

To list the Tape Coordinator machines and port offsets defined in the Backup Database, issue the backup listhosts command.

OPTIONS

-tapehost <tape machine name>
    Specifies the hostname of the machine housing the Tape Coordinator to delete.

-portoffset <TC port offset>
    Specifies the port offset number of the Tape Coordinator to delete. If omitted, it defaults to 0. If provided, it is an integer between 0 (zero) and 58510, and must match the port offset number assigned to the same combination of Tape Coordinator and tape device or file in the /usr/afs/backup/tapeconfig file on the Tape Coordinator machine indicated by the -tapehost argument.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the backup(8) manpage.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the backup(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command deletes the Backup Database entry for the Tape Coordinator with port offset 2 on the Tape Coordinator machine backup3.abc.com:

   % backup delhost -tapehost backup3.abc.com -portoffset 2

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the backup(8) manpage, the backup_addhost(8) manpage, the backup_listhosts(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.